/* MentsukeController */

#import <Cocoa/Cocoa.h>

@interface MentsukeController : NSObject
{
   IBOutlet id progressBar;
   IBOutlet id statusText;
   IBOutlet id mainWindow;
   IBOutlet id openButton;
   
   NSString *destDir;
   NSArray *openFiles;
}

- (IBAction)startConvertion:(id)sender;

- (void) convertWithFilesOpened;
- (void) chooseDirDidEnd:(NSOpenPanel*)sheet returnCode:(int)buttonPressed
           contextInfo:(void *)cInfo;
- (void) openFileDidEnd:(NSOpenPanel*)sheet returnCode:(int)buttonPressed
          contextInfo:(void *)cInfo;
- (void)convertFiles;
-(BOOL) application : (NSApplication *)theApplication openFiles:(NSArray *) filenames;

@end
