#import "Mentsuker.h"

@implementation Mentsuker
-(void) setFile:(NSString *)path
{
   doc=[[[PDFDocument alloc] initWithURL: 
      [NSURL fileURLWithPath:path]] autorelease];
   count=[doc pageCount];
}

-(BOOL)writeToFile:(NSString *)path
{
   return [doc writeToFile:path];
}

- (unsigned int)getPageIndex:(unsigned int)index
{
   switch(index%4)
    {
      case 0:
         return count-1-(index/2);
      case 1:
         return (index-1)/2;
      case 2:
         return (index-2)/2+1;
      case 3:
         return count-2-((index-3)/2);
      default:
         return 0;
    }   
}

-(BOOL) begin
{
   PDFPage *page;
   int k;
   if(count%4!=0) return false;
   
   for(k=0;k<count;k++)
    {
      page=[doc pageAtIndex:[self getPageIndex:k]];
      [doc insertPage:page atIndex:(count+k)];
    }
   for(k=0;k<count;k++)
      [doc removePageAtIndex:0];
   
   return true;
}

@end
